> ## Documentation Index
> Fetch the complete documentation index at: https://togetherai-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> Introduction to Together AI and all its services.

<Icon icon="hand-wave" iconType="solid" /> Welcome to the Together AI docs! Together AI makes it easy to run or fine-tune leading open source models with only a few lines of code. We offer a variety of generative AI services:

* **Serverless models** - Use our API or [playground](https://api.together.xyz/playground) to run dozens of models with pay as you go pricing.
* **Fine-Tuning** - Fine-tune models on your own data [in 5 minutes](/docs/fine-tuning-overview), then run the model for inference.
* **Dedicated endpoints** - Run models [on your own private GPUs](/docs/dedicated-models), starting at a one month minimum commitment.
* **GPU Clusters** - If you're interested in private, state of the art clusters with H100 GPUs, [contact us](https://www.together.ai/forms/gpu-cluster-requests).

## Quickstart

See our [full quickstart](/docs/quickstart) for how to get started with our API in 1 minute.

<CodeGroup>
  ```python Python theme={null}
  from together import Together
  client = Together()

  completion = client.chat.completions.create(
    model="meta-llama/Meta-Llama-3.1-8B-Instruct-Turbo",
    messages=[{"role": "user", "content": "What are the top 3 things to do in New York?"}],
  )

  print(completion.choices[0].message.content)
  ```

  ```typescript TypeScript theme={null}
  import Together from 'together-ai';
  const together = new Together();

  const completion = await together.chat.completions.create({
    model: 'meta-llama/Meta-Llama-3.1-8B-Instruct-Turbo',
    messages: [{ role: 'user', content: 'Top 3 things to do in New York?' }],
  });

  console.log(completion.choices[0].message.content);
  ```

  ```curl cURL theme={null}
  curl -X POST "https://api.together.xyz/v1/chat/completions" \
       -H "Authorization: Bearer $TOGETHER_API_KEY" \
       -H "Content-Type: application/json" \
       -d '{
       	"model": "meta-llama/Meta-Llama-3.1-8B-Instruct-Turbo",
       	"messages": [
            {"role": "user", "content": "What are the top 3 things to do in New York?"}
       	]
  }'
  ```
</CodeGroup>

## Which model should I use?

Together hosts many popular models via our serverless endpoints. For each of these, you'll [be charged](https://together.ai/pricing) based on the tokens you use and size of the model.

Here are all the different types of models that we support:

* [Chat models](/docs/serverless-models#chat-models)
* [Vision models](/docs/serverless-models#vision-models)
* [Image models](/docs/serverless-models#image-models)
* [Audio Models](/docs/serverless-models#audio-models)
* [Embedding models](/docs/serverless-models#embedding-models)
* [Rerank Models](/docs/serverless-models#rerank-models)
* [Language and code models](/docs/serverless-models#language-models)

Don't see a model you want to use? **[Send us a request](https://www.together.ai/forms/model-requests)** to add or upvote the model you'd love to see us add to our serverless infrastructure.

## Together Cookbook

See the **[Together Cookbook](https://github.com/togethercomputer/together-cookbook)** – a collection of notebooks showcasing use cases of open-source models with Together AI. Examples include RAG (text + multimodal), Semantic Search, Rerankers, & Structured JSON extraction.

## Example apps

We've built a number of full-stack open source example apps that you can reference. These are production-ready apps have over 500k users & 10k GitHub stars combined – all fully open source and built on Together AI.

* [LlamaCoder](https://llamacoder.together.ai/) ([GitHub](https://github.com/Nutlope/llamacoder)) – an OSS Claude artifacts that is able to generate full React apps from a single prompt. Built on Llama 3.1 405B powered by Together inference.
* [BlinkShot](https://www.blinkshot.io/) ([GitHub](https://github.com/Nutlope/blinkshot)) – a realtime AI image generator using Flux Schnell on Together AI. Type in a prompt and images will get generated as you type.
* [TurboSeek](https://www.turboseek.io/) ([GitHub](https://github.com/Nutlope/turboseek)) – an AI search engine inspired by Perplexity. It uses a search API (Serper) along with an LLM (Mixtral) to be able to answer any questions.
* [Napkins.dev](https://www.napkins.dev/) ([GitHub](https://github.com/nutlope/napkins)) – a wireframe to app tool. It uses Llama 3.2 vision to read in screenshots and write code for them using Llama 3.1 405B.
* [PDFToChat](https://www.pdftochat.com/) ([GitHub](https://github.com/nutlope/pdftochat)) – a site that lets you chat with your PDFs. Uses RAG with Together embeddings, inference with Llama 3, authentication with Clerk, & MongoDB/Pinecone for the vector database.
* [LlamaTutor](https://llamatutor.together.ai/) ([GitHub](https://github.com/Nutlope/llamatutor)) – a personal tutor that can explain any topic at any education level by using a search API along with Llama 3.1.
* [NotesGPT](https://usenotesgpt.com/) ([GitHub](https://github.com/nutlope/notesgpt)) – an AI note taker that converts your voice notes into organized summaries and clear action items using AI. Uses Together inference (Mixtral) with JSON mode.
* [CareerExplorer](https://www.explorecareers.io/) ([GitHub](https://github.com/Nutlope/ExploreCareers)) – a site that takes in a resume and suggests career paths based on your strengths and interests. Uses Llama 3 and demonstrates how to parse PDFs and chain multiple calls together.

## Next steps

* Check out [our Quickstart](/docs/quickstart) to get started with our API in 1 minute
* Explore [our cookbook](https://github.com/togethercomputer/together-cookbook) for Python recipes with Together AI
* Explore [our demos](https://together.ai/demos) for full-stack open source example apps.
* Check out the [Together AI playground](https://api.together.xyz/playground) to try out different models.
* See [our integrations](/docs/integrations) with leading LLM frameworks.

## Resources

* [Discord](https://discord.com/invite/9Rk6sSeWEG)
* [Pricing](https://www.together.ai/pricing)
* [Support](https://www.together.ai/contact)
